package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaDesigndetailMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaDesigndetail;
import com.goldenwater.slaj.ttsa.service.IBisTtsaDesigndetailService;

@Service
public class BisTtsaDesigndetailServiceImpl implements IBisTtsaDesigndetailService {
    @Autowired
    private BisTtsaDesigndetailMapper bisTtsaDesigndetailMapper;

    @Override
    public BisTtsaDesigndetail selectBisTtsaDesigndetailByGuid(String guid) {
        return bisTtsaDesigndetailMapper.selectBisTtsaDesigndetailByGuid(guid);
    }

    @Override
    public List<BisTtsaDesigndetail> selectBisTtsaDesigndetailList(BisTtsaDesigndetail bisTtsaDesigndetail) {
        return bisTtsaDesigndetailMapper.selectBisTtsaDesigndetailList(bisTtsaDesigndetail);
    }

    @Override
    public int insertBisTtsaDesigndetail(BisTtsaDesigndetail bisTtsaDesigndetail) {
        return bisTtsaDesigndetailMapper.insertBisTtsaDesigndetail(bisTtsaDesigndetail);
    }

    @Override
    public int updateBisTtsaDesigndetail(BisTtsaDesigndetail bisTtsaDesigndetail) {
        return bisTtsaDesigndetailMapper.updateBisTtsaDesigndetail(bisTtsaDesigndetail);
    }

    @Override
    public int deleteBisTtsaDesigndetailByGuid(String guid) {
        return bisTtsaDesigndetailMapper.deleteBisTtsaDesigndetailByGuid(guid);
    }

    @Override
    public int deleteBisTtsaDesigndetailByGuids(String[] guids) {
        return bisTtsaDesigndetailMapper.deleteBisTtsaDesigndetailByGuids(guids);
    }
}
